Skip to main content
PATCH
Update Maintenance Window

Authorizations

Authorization
string
header
required

A Fly API token with access to the requested organization or resource. Send it as Authorization: Bearer <Fly API token>.

Path Parameters

postgres_cluster_id
string
required

Managed Postgres Cluster ID

Body

application/json

Maintenance window fields to change

day
enum<string>

Day of the week the window starts on.

Available options:
sunday,
monday,
tuesday,
wednesday,
thursday,
friday,
saturday
Example:

"tuesday"

duration_hours
integer

Length of the window in hours.

Required range: 3 <= x <= 8
Example:

3

start_hour
integer

Hour of the day the window starts, in the cluster's timezone.

Required range: 0 <= x <= 23
Example:

4

Response

Updated maintenance window

data
object